/* COLOR PALETTE */

  /* place this block at the top of the stylesheet */
  :root {
  --limegreen: rgb(67, 169, 103);
  --applegreen: rgb(143, 203, 104);
  --darkgreen1: rgb(24, 102, 0);
  --lightgreen: rgb(140, 217, 158);
 --darkgreen: rgb(0, 69, 13);
        --white: rgb(255, 255, 255);
        --black: rgb(0, 0, 0);
       
    }
/* ---------------------------LOVEHA RULES---------------------------------- */

    header a:link {
        color: var(--applegreen); 
        text-decoration: none;
        }

    header a:visited  {
        color: var(--darkgreen1);
        }

    header a:hover {
        text-decoration: underline;
    }

    header a:active {
        color: var(--limegreen);
        }

 /*---------------------------------------Font choices-------------------------------------- */  
  h1 {
font-family: "nickel", sans-serif;
font-weight: 400;
font-style: normal;
    margin: 15px;
    color: #fff;
    z-index: 9999999;
       /* primary visual branding font choice, must echo art style */}

  h2 {
 font-family: "carilliantine", sans-serif;
font-weight: 900;
font-style: normal;
     margin: 0 0 0.5rem 0;
      /* Must work well with h1 font choice  */
      }

    h3,h4,h5,h6,label,legend {
          font-family: "sincopa", sans-serif;
font-weight: 700;
font-style: normal;
      margin: 0 0 0.75rem 0;
      /* Must work well with h1 font choice  */
    }

  body {
      font-family: "la-parisienne-serif", sans-serif;
font-weight: 400;
font-style: normal;
      margin: 10px;
        /* must be legible at 16px default font size */
      }
.gwd p{
  margin-top: 1rem;
  margin-bottom: 1rem;
}
 /*----------------------------------Limitimg line length------------------------------------*/
 p { 
    max-width: 85ch; 
    /* paragraph only */
} 

h1 { font-size: 60px; }
h2 { font-size: 48.1085px; }
h3 { font-size: 29.9px; }
p { font-size: 20px;
  line-height: 1.5; }
small { font-size: 18px; }
    /* most on-screen text */  

/* ---------------------------------Background----------------------------------------------- */
body{
  background-image: url(bgimg/chuttersnap.jpg);
  background-size:cover;
  background-repeat: repeat;
  background-position: center;
  }


     .giveaway {
  position: relative;
  overflow: hidden; 
}

.giveaway::after {
  content: "";
  position: absolute;
  inset: 0;

  background: var(--limegreen); 
  opacity: 0.5; 
  z-index: -1;
  border-radius: 10px;
}    

    .giveaway p {
        color: var(--black);
    }

     .macmarket {
  position: relative;
  overflow: hidden; 
}

.macmarket::after {
  content: "";
  position: absolute;
  inset: 0;

  background: var(--applegreen); 
  opacity: 0.5; 
  z-index: -1;
  border-radius: 10px;
}    
    .macmarket p{
      color: var(--white);
    }

    .gwd {
  position: relative;
  overflow: hidden; 
}

.gwd::after {
  content: "";
  position: absolute;
  inset: 0;

  background: var(--limegreen); 
  opacity: 0.5; 
  z-index: -1;
  border-radius: 10px;
}    

    .transplant {
  position: relative;
  overflow: hidden; 
}

.transplant::after {
  content: "";
  position: absolute;
  inset: 0;

  background: var(--darkgreen1); 
  opacity: 0.5; 
  z-index: -1;
  border-radius: 10px;
}    

    .transplant h2, .transplant h3 {
    color: var(--white);
  }

    .logos {
  position: relative;
  overflow: hidden; 
}

.logos::after {
  content: "";
  position: absolute;
  inset: 0;

  background: var(--lightgreen); 
  opacity: 0.5; 
  z-index: -1;
}    

   .earthday {
  position: relative;
  overflow: hidden; 
}

.earthday::after {
  content: "";
  position: absolute;
  inset: 0;

  background: var(--limegreen); 
  opacity: 0.5; 
  z-index: -1;
}    

    .macmarket h2,
    .macmarket h3,
    .earthday h2,
    .earthday h3 {
    color: var(--white);   
    }

  section{
    border-radius: 10px;
  }

/* -------------------------------------------FLEXBOX-------------------------------- */

ul.column.two{
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* set witdh of logos */

.logos .two li{
  margin: 0;
  width: 100%;
}

.logos .two li:nth-child(1){
  width: 80%;
  margin-top: 2rem;

}
.logos .two li:nth-child(2){
  width: 80%;
  margin-top: 2rem;
}
.logos .two li:nth-child(3){
  width: 80%;
  margin-top: 2rem;
}
.logos .two li:nth-child(4){
  width: 80%;
  margin-top: 2rem;
}
.logos .two li:nth-child(5){
  width: 80%;
  margin-top: 2rem;
}
/* Floats */

.macmarket picture.column.one{
  width: 10rem;
  display: block;
  float: left;
  margin-right: 1rem;
}

.fblink{
  width: 6rem;
  display: block;
  margin: 0 0 1rem auto;
}
  /* ----------------------------padding----------------------------- */
    section {
        margin: 2rem auto;
        padding: 1rem;
        
    }

    header{
        padding: 1rem;
    }
/* -------------------------------JAC Logo-------------------------------------------------- */
  header {padding: 2rem;}

    #jac-logo {
        width: 47%;
        height: auto;
        display: block;
        margin: 0rem auto;  /* centers the logo */
    }

    header .jac-logo {
        filter: invert(100%);
    }

.earthday .flex-container{
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  margin: 0.25rem;
  gap: 0.25rem;
}
    /* .logos .two img {
        filter: invert(100%);
    }

    .logos .two li:nth-child(4) img {
        filter: none !important;
    } */
    

  

/* =================================mobile 320px===================================================*/

.jac-logo {
        width: 50%;
        height: auto;
        display: block;
        margin: 0rem auto;  /* centers the logo */
    }

    header{

  text-align: center;
  font-size: 50px;
  /* position: sticky;
  top: 0; */
  
}

.macmarket{
  position: relative;
}
.macmarket::before {
  content: "";
  position: absolute;

  left: -5rem;     /* pushes it above the section */
  top: -10rem;  /* pushes it outside the right edge */

  width: 224px;   /* control size */
  height: 350px;

  background: url("bgimg/perroquet.png") center / cover no-repeat;

  z-index: 90;
  pointer-events: none;
  background-size: 58%;
}

.macmarket {
  overflow: visible;
}

.transplant{
  position: relative;
}
.transplant::before {
  content: "";
  position: absolute;

  top: -214px;     /* pushes it above the section */
  right: -46px;   /* pushes it outside the right edge */

  width: 224px;   /* control size */
  height: 350px;

  background: url("bgimg/lion.png") center / cover no-repeat;

  z-index: 3;
  pointer-events: none;
  background-size: 63%;
}

.transplant {
  overflow: visible;
}

  .giveaway::after,
  .macmarket::after,
  .gwd::after,
  .transplant::after,
  .logos::after,
  .earthday::after {
    opacity: 0.3;
  }

   footer{
  color: #fff;
  text-align: center ;
 }

 section {
  position: relative;
  border-radius: 10px;
  border: 4px transparent; /* important */
}
section {
  border: 4px solid transparent;

  background:
    linear-gradient(var(--limegreen), var(--limegreen)) padding-box,
    conic-gradient(
      from var(--angle),
      var(--darkgreen),
      var(--applegreen),
      var(--darkgreen1),
      var(--lightgreen),
      var(--limegreen),
      var(--darkgreen)
    ) border-box;

  animation: spin 8s linear infinite;
}
@property --angle {
  syntax: "<angle>";
  initial-value: 0deg;
  inherits: false;
}

@keyframes spin {
  from { --angle: 0deg; }
  to { --angle: 360deg; }
}


/* ===============================================All Ipad Styles Go In The Media Query Below 960px================================================= */

@media screen and (min-width: 60rem) and (max-width: 89.9999rem) {

    h1{

  text-align: center;
}

.jac-logo {
        width: 37%;
        height: auto;
        display: block;
        margin: 0rem auto;  /* centers the logo */
    }
  .giveaway::after,
  .macmarket::after,
  .gwd::after,
  .transplant::after,
  .logos::after,
  .earthday::after {
    opacity: 0.3;
  }

  .macmarket::before {
    top: -15rem;
    background-size: 68%;
  }

  header img {
    max-width: 40rem;
    display: block;
    margin: 0 auto;
  }

  .earthday .flex-container {
    grid-template-columns: repeat(6, 1fr);
  }

  ul.column.two {
    flex-direction: row;
    padding: 1rem;
  }

  .logos .two li:nth-child(5) {
    width: 65%;
  }

.logos .two li:nth-child(1) .jac-logo {
    top: 0%;
    left: 0%;
    width: 10rem;
} 

  .wrapper {
    max-width: 60rem;
    margin: 0 auto;
  }

  main {
  display: block;
}

 section {
  margin: 2.5rem auto;
  padding: 2rem;
  max-width: 55rem;
}
section {
  box-shadow: 0 10px 25px rgba(0,0,0,0.1);
}

  .macmarket{
    position: relative;
  }
   .macmarket::before {
  content: "";
  position: absolute;

  left: -5rem;     /* pushes it above the section */
  top: -8rem;  /* pushes it outside the right edge */

  width: 224px;   /* control size */
  height: 350px;

  background: url("bgimg/perroquet.png") center / cover no-repeat;

  z-index: 90;
  pointer-events: none;
  background-size: 100%;
}

.transplant{
  position: relative;
}
.transplant::before {
  content: "";
  position: absolute;

  top: -235px;     /* pushes it above the section */
  right: -17px;   /* pushes it outside the right edge */

  width: 224px;   /* control size */
  height: 350px;

  background: url("bgimg/lion.png") center / cover no-repeat;

  z-index: 3;
  pointer-events: none;
  background-size: 88%;}

.transplant {
  overflow: visible;
}

 footer{
  color: #fff;
  text-align: center ;
 }
  
 
}/* Never delete closing media query bracket */

/* =======================================================desktop 1440px ====================================================*/
 @media screen and (min-width: 90rem) {

.giveaway::after,
.macmarket::after,
.gwd::after,
.transplant::after,
.logos::after,
.earthday::after {
  opacity: 0.25;
}

  .macmarket{
    position: relative;
  }
    .macmarket::before {
  content: "";
  position: absolute;

  left: -6rem;     /* pushes it above the section */
  top: -137px;  /* pushes it outside the right edge */

  width: 224px;   /* control size */
  height: 350px;

  background: url("bgimg/perroquet.png") center / cover no-repeat;

  z-index: 90;
  pointer-events: none;
  background-size: 84%;
}

.transplant{
    position: relative;
  }

  .transplant * {
  position: relative;
  z-index: 1;
}

  .transplant::before {
  content: "";
  position: absolute;
  top: -238px;
  right: -10px;
  width: 224px;
  height: 350px;
  background: url("bgimg/lion.png") center / cover no-repeat;
    background-size: cover;
  z-index: 3;
  pointer-events: none;
  background-size: 95%;
}
.giveaway{
    position: relative;
  }

  .giveaway::before {
  content: "";
  position: absolute;
  top: 657px;
  right: 396px;
  width: 224px;
  height: 350px;
  background: url("bgimg/giraffe.png") center / cover no-repeat;
    background-size: cover;
  z-index: 3;
  pointer-events: none;
  background-size: 100%;
}

.jac-logo {
        width: 37%;
        height: auto;
        display: block;
        margin: 0rem auto;  /* centers the logo */
    }

h1{
  font-size: 7rem;
  text-align: center;
}


     main {
  display: grid;
  grid-template-columns: repeat(16, 1fr);
  grid-template-rows: auto auto auto auto;
  gap: 2rem;
}

.earthday {
  display: grid;
  align-content: start;
}
.earthday h2,
.earthday h3 {
   margin: 0 0 0.5rem 0;
}

  section {
     padding-left: unset;
     padding-right: unset;
     margin: 0;
 } 

  .macmarket {
     grid-column: 2/13;
     grid-row: 1/1;
     padding: 1rem 8.5% 2rem 8.5%;  /* note that percentages scale better when the window width changes */
     }

     .logos,
.giveaway {
  align-self: start;
  padding: 1rem;
}
.giveaway, .transplant {
  display: flex;
  flex-direction: column;
  justify-content:first baseline;
}

 .earthday {
  display: grid;
  align-content: start;
      grid-column: 13/16;
      grid-row: 1/3;  /* full height on the grid */
  }


.macmarket .column.two p:last-child {
  display: flex;
  align-items: flex-start;
  gap: 1rem;
}

.macmarket .column.two p:last-child .fblink {
  width: 5rem;
  flex-shrink: 0;
  margin-bottom: 3.5rem;
  order: 2;
}

.macmarket .column.two p:last-child .fblink img {
  width: 100%;
  height: auto;
  display: block;
}

  .earthday .flex-container {
     grid-template-columns: 50% 50%;
     margin: 1rem 2rem 1rem 2rem;
 }
.gwd {
     grid-column: 2/8;
     grid-row: 2/2;
 }

.gwd h1,
.gwd h2,
.gwd .two {
    padding: 1rem;
}

.transplant {
    grid-column: 8/13;
    grid-row: 2/2;
    padding: 1rem;
 }

 .logos {
    grid-column: 2/9;
    grid-row: 3/4;
}

.logos {
    position: relative;
 }

 .logos .two li {
  width: 100%;
  display: flex;
  justify-content: center;
}

.logos .two li img {
  max-width: 60%;
  height: auto;
}

.logos,
.giveaway {
  align-self: stretch;
}

 /* .logos .two li:nth-child(1) {
  width: 10rem;
  margin-left: 1rem;
}

.logos .two li:nth-child(1) .jac-logo {
  width: 100%;
  height: auto;
  display: block;
}

.logos .two li:nth-child(2) {
     top: 0%;
    left: 0%;
    width: 10rem;
}

.logos .two li:nth-child(3) {
     top: 0%;
    left: 0%;
    width: 10rem;
}

.logos .two li:nth-child(4) {
    top: 0%;
    left: 0%;
    width: 10rem;
}

.logos .two li:nth-child(5) {
     top: 0%;
    left: 0%;
    width: 10rem;
} */
.giveaway {
    grid-column: 9/16;
    grid-row: 3/4;
}
    .earthday .flex-container {
    margin-right: auto;
    margin-left: auto;
    grid-template-columns: 40% 40%;
    column-gap: 1rem;
  margin-left: 1.5rem;
  margin-top: 3rem;
   
  } 

  .earthday h2{
    margin-top: 2rem;
    text-align:start;
    margin-bottom: 2rem;
    margin-left: 2rem;
  }
  .earthday h3{
    margin-left: 1rem;
    text-align:left;
  }
}/* closes media query */
/* -----------------background--------------------------- */


section {
  position: relative;
  border-radius: 10px;
  border: 4px solid transparent; /* important */
}
section {
  border: 4px solid transparent;

  background:
    linear-gradient(var(--limegreen), var(--limegreen)) padding-box,
    conic-gradient(
      from var(--angle),
      var(--darkgreen),
      var(--applegreen),
      var(--darkgreen1),
      var(--lightgreen),
      var(--limegreen),
      var(--darkgreen)
    ) border-box;

  animation: spin 8s linear infinite;
}
@property --angle {
  syntax: "<angle>";
  initial-value: 0deg;
  inherits: false;
}

@keyframes spin {
  from { --angle: 0deg; }
  to { --angle: 360deg; }
}

body::before {
  content: "";
  position: fixed;
  inset: 0; /* fills whole screen */
 background: url(bgimg/leaves.PNG)
   center / cover no-repeat;
opacity: 10%;
  z-index: 9999;
  pointer-events: none;
}

.wrapper{
    background-color: rgba(12, 86, 45, 0.45);
    backdrop-filter: blur(2px);
    border-radius: 2rem;
}

.logos ul.column.two {
  display: flex;
  flex-direction: column; /* makes logos horizontal */
  justify-content: center;
  align-items: center;
  gap: 1rem;
}
.logos .two li {
  width: 100%;
  display: flex;
  justify-content: center;
}

.logos .two li img {
  max-width: 50%;
  height: auto;
}

.giveaway img{
  max-width: 100%;
  display: block;
  margin: 1rem auto;
 }

 footer{
  color: #fff;
  text-align: center ;
 }